# 安装

```javascript
npm install huaer-format-date
```

# 导入
```javascript
import {formatDate} from huaer-format-date
```

# 使用
```javascript
  /**
   * Date 转化为指定格式的String<br>
   * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q)可以用 1-2 个占位符<br>
   * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
   *
   * @param {string | number} date string支持形式：20160126 12:00:00，2016-01-26 12:00:00，2016.01.26 12:00:00，20160126，2016-01-26 12:00:00.0
   * @param {string} fmt
   * @returns {string}
   */
   formatDate(Date.now(), 'yyyy-MM-dd hh:mm:ss.S');
   // => 2006-07-02 08:09:04.423
   formatDate(Date.now(), 'yyyy-MM-dd E HH:mm:ss');
   // => 2009-03-10 二 20:09:04
   formatDate(Date.now(), 'yyyy-MM-dd EE hh:mm:ss');
   // => 2009-03-10 周二 08:09:04
   formatDate(Date.now(), 'yyyy-MM-dd EEE hh:mm:ss');
   // => 2009-03-10 星期二 08:09:04
   formatDate(Date.now(), 'yyyy-M-d h:m:s.S')
   // => 2006-7-2 8:9:4.18
   
```